# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pry-pack'

Gem::Specification.new do |spec|
  spec.name          = "pry-pack"
  spec.version       = PryPack::VERSION
  spec.authors       = ["Jeff Rabovsky"]
  spec.email         = ["jrab89@gmail.com"]

  spec.summary       = "Pry and some other stuff"
  spec.homepage      = "https://github.com/jrab89/pry-pack"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.0.0"

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency "pry", "~> 0.10.1"
  spec.add_runtime_dependency "pry-byebug", "~> 3.0"
  spec.add_runtime_dependency "pry-stack_explorer", "~> 0.4.9"
  spec.add_runtime_dependency "pry-rescue", "~> 1.4"
  spec.add_runtime_dependency "pry-doc", "~> 0.6.0"
end
